:root{
    --primary-color:#e50914;
    --dark-color:#141414;
}
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body{
    font-family: Arial, sans-serif;
    background-color: #000;
    -webkit-font-smoothing:antialiased;
    color: #999;
}
ul{
    list-style: none;
}
h1, h2, h3, h4{
    color: #fff;
}
a{
    color: #fff;
    text-decoration:none;
}
p{
    margin: 0.5rem 0;
}
img{
    width: 100%;
}

/* container... */
.container{
    max-width: 70%;
    margin: auto;
    overflow: hidden;
    padding:0 2rem;
}
    /* Text-styles */
.text-xl{
    font-size: 1.7rem;
    margin-bottom: 1rem;    
}
.text-lg{
    font-size: 1.2rem;
    margin-bottom: 1rem;
}
.text-md{
    font-size: 0.9rem;
    margin-bottom: 1rem;
}
.text-center{
    text-align: center;
}
.text-dark{
    color: #999;
}

/*End Text-styles */

.showcase{
    width: 100%;
    height: 93vh;
    position: relative;
    background: url('./img/banner.jpg') no-repeat center center/cover;
}
/* shadow background */
.showcase::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background: rgba(0,0,0,0.6);
    box-shadow: inset 100px 80px 200px #000000,inset -100px -80px 200px #000000;
}
.showcase-top{
    position: relative;
    z-index: 2;
    height: 90px;

}
.logo{
    color: var(--primary-color);
   position: absolute;
   top: 40%;
   left: 50%;
   transform: translate(-50%,-50%);
}
.showcase-top a{
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(-50%,-50%);
}

.showcase-content{
    position: relative;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 8rem;
    z-index: 2;
}
.showcase h2{
    font-weight: 700;
    font-size: 3.2rem;
    margin: 0 0 2rem;
    line-height: 1.1;

}
.showcase p{
    text-transform: uppercase;
    color: #fff;
    font-weight: 400;
    font-size: 1.2rem;
    margin: 0 0 2rem;
    line-height: 1.25;
}

/* buttons */
.btn{
    display: inline-block;
    background: var(--primary-color);
    color: #fff;
    padding: 0.4rem 1.3rem;
    font-size: 1rem;
    text-align: center;
    border: none;
    cursor: pointer;
    margin-right:0.5rem;
    outline: none;
    box-shadow: 0 1px 0 rgba(0,0,0,0.45);
    border-radius: 2px;
}
.btn:hover{
    opacity: 0.9;
}
.btn-rounded{
    border-radius: 5px;
}
.btn-xl{
    font-size: 1.7rem;
    padding: 1.5rem 1.8rem;
    text-transform: uppercase;
}

/* tab content */
.tab-content{
    padding: 3rem 0;
    color: #fff;
    background: #000;
}
#tab-1-content,
#tab-2-content,
#tab-3-content{
    display: none;
}
.show{
    display: block !important;
}

/* tabss */
.tabs{
    background: var(--dark-color);
    padding-top: 1rem;
    border-bottom:3px solid #3d3d3d ;
}
.tabs .container{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 1rem;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.tabs p{
    font-size: 1.2rem;
    padding-top: 0.5rem;
}
.tabs .container > div{
    padding: 0.5rem 0;
}
.tabs .container > div:hover{
    color: #fff;
    cursor: pointer;
}
.tab-border{
    border-bottom: var(--primary-color) 4px solid;
}
#tab-1-content .tab-1-content-inner{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 2rem;
    align-items: center;
    justify-content: center;
    text-align: center;
}

#tab-2-content .tab-2-content-top{
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-gap: 1rem;
    justify-content: center;
    align-items: center;
    text-align: center;
}
#tab-2-content .tab-2-content-bottom{
    margin-top: 2rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 2rem;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.table{
    width: 100%;
    margin-top: 2rem;
    border-collapse: collapse;
    border-spacing: 0;
    
    
}

.table thead th{
    text-transform: uppercase;
    padding: 0.8rem;
}
.table tbody tr td{
    color: #999;
    padding: 0.8rem 1.2rem;
    text-align: center;
}
.table tbody tr td:first-child{
    text-align: left;
}
.table tbody tr:nth-child(odd){
    background: #222;
}
  /* footer */
.footer{
    max-width: 75%;
    margin: 1rem auto;
    overflow: hidden;
}
.footer, .footer a{
    color: #999;
    font-size: 0.9rem;
}
.footer p{
    margin-bottom:1.5rem;
}
.footer .footer-cols{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 2rem;
}
.footer li{
    line-height: 1.9;
}

/* media queries */
@media (max-width:900px) {
    .showcase{
        height: 80vh;
    }
    .hide-sm{
        display: none;
    }
    .showcase-top{
        height: 70px;
    }
    .showcase-top h1{
        top: 30%;
        left: 5%;
        transform: translate(0);
    }
    .showcase-content h2{
        font-size: 2.7rem;
    }
   .footer .footer-cols{
        grid-template-columns: repeat(2, 1fr);
    }
    .btn-xl{
        font-size: 1rem;
        padding: 0.8rem 1rem;
    }
    .text-xl{
        font-size: 1.5rem;
    }
    .text-lg{
        font-size: 1.2rem;
    }
    .text-md{
        font-size: 0.9rem;
    }
  
    
}

@media (max-width:700px ) {
    #tab-1-content .tab-1-content-inner{
        display: grid;
        grid-template-columns: 1fr;
        text-align: center;
    }
    #tab-2-content .tab-2-content-top{
        display: block;
        text-align: center;
    }
    #tab-2-content .tab-2-content-bottom{
        grid-template-columns: 1fr;
        grid-gap: 2rem;
    } 
    .showcase::after{
        box-shadow: inset 80px 80px 200px #000000,inset -80px -60px 160px #000000;
    }
    .table{
        padding: auto 0.8rem;
    }
}


